summaryrefslogtreecommitdiff
path: root/tests.branching/edit-updates-stratum.script
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-05-17 22:45:10 +0300
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-05-17 22:45:10 +0300
commit8dc8e8f153032461af95b73617617954cd6d600d (patch)
treee2fb4b63e30cdff493250b74c3fccb1921889492 /tests.branching/edit-updates-stratum.script
parent8732c86d6eb9e0efa5ce2af294a67af08c8561d0 (diff)
downloadmorph-8dc8e8f153032461af95b73617617954cd6d600d.tar.gz
Add test case for "morph edit" updating strata
Diffstat (limited to 'tests.branching/edit-updates-stratum.script')
-rwxr-xr-xtests.branching/edit-updates-stratum.script32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests.branching/edit-updates-stratum.script b/tests.branching/edit-updates-stratum.script
new file mode 100755
index 00000000..a3e213e5
--- /dev/null
+++ b/tests.branching/edit-updates-stratum.script
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Verify that "morph edit" clones a chunk repository into a system branch.
+
+
+set -eu
+
+# Create system branch.
+cd "$DATADIR/mine"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" branch newbranch
+
+# Edit chunk.
+cd newbranch/morphs
+"$SRCDIR/scripts/test-morph" edit baserock:hello master
+
+git diff